extends Sprite

const SPEED := 200

enum eDirection {
	DOWN,
	UP,
	LEFT,
	RIGHT
}

var direction = eDirection.DOWN
var timer := 0
var anim_tbl = [2, 3, 2, 3]

func _process(delta: float) -> void:
	timer += 1
	var vec := Vector2()
	if Input.is_action_pressed("ui_up"):
		vec.y = -1
		direction = eDirection.UP
	if Input.is_action_pressed("ui_down"):
		vec.y = 1
		direction = eDirection.DOWN
	if Input.is_action_pressed("ui_left"):
		vec.x = -1
		direction = eDirection.LEFT
	if Input.is_action_pressed("ui_right"):
		vec.x = 1
		direction = eDirection.RIGHT
	
	position += vec * delta * SPEED
	
	var t = (timer / 16) % 4
	frame = direction * 4 + anim_tbl[t]

